/*
  stores the status of the stream
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */



#include <deviceConfig/statusInfo.h>


StatusInfo::StatusInfo() {
  status=_STATUS_STOPPED;
  lChange=false;
}


StatusInfo::~StatusInfo() {
}



int StatusInfo::getStatus() {
  return status;
}


void StatusInfo::setStatus(int status) {
  this->status=status;
}

void StatusInfo::copyTo(StatusInfo* dest) {
  dest->setStatus(getStatus());
  dest->setStatusChange(getStatusChange());
}


int StatusInfo::getStatusChange() {
  return lChange;
}


void StatusInfo::setStatusChange(int lChange) {
  this->lChange=lChange;
}


void StatusInfo::print() {
}


